<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__utils" kind="group">
    <compoundname>group_utils</compoundname>
    <title>Utilities</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__utils_1ga80391b71fc1f6ec0a82d00866a168f38" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>void</type>
        <definition>static void CY_HALT</definition>
        <argsstring>(void)</argsstring>
        <name>CY_HALT</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Halt the processor in the debug state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="47" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="44" column="1" file="output/libs/core-lib/include/cy_utils.h" line="44" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__utils_1ga0a73602e14d41b2d525a1185597c8445" kind="define" prot="public" static="no">
        <name>CY_UNUSED_PARAMETER</name>
        <param><defname>x</defname></param>
        <initializer>( (void)(x) )</initializer>
        <briefdescription>
<para>Simple macro to supress the unused parameter warning by casting to void. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="40" column="9" file="output/libs/core-lib/include/cy_utils.h" line="40" />
      </memberdef>
      <memberdef id="group__group__utils_1gab333fce69ffe5eef183d190d37cc04db" kind="define" prot="public" static="no">
        <name>CY_ASSERT</name>
        <param><defname>x</defname></param>
        <initializer>do {                \
                                if(!(x))        \
                                {               \
                                    <ref kindref="member" refid="group__group__utils_1ga80391b71fc1f6ec0a82d00866a168f38">CY_HALT</ref>();  \
                                }               \
                            } while(false)</initializer>
        <briefdescription>
<para>Utility macro when neither NDEBUG or CY_NO_ASSERT is not declared to check a condition and, if false, trigger a breakpoint. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="58" column="14" file="output/libs/core-lib/include/cy_utils.h" line="58" />
      </memberdef>
      <memberdef id="group__group__utils_1gaa7531a66d82ec4ab6c36a26579fedd3f" kind="define" prot="public" static="no">
        <name>CY_LO8</name>
        <param><defname>x</defname></param>
        <initializer>((uint8_t) ((x) &amp; 0xFFU))</initializer>
        <briefdescription>
<para>Get the lower 8 bits of a 16-bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="72" column="9" file="output/libs/core-lib/include/cy_utils.h" line="72" />
      </memberdef>
      <memberdef id="group__group__utils_1gaa57842ae9ca46f0e4b6f280e8f4eaa6c" kind="define" prot="public" static="no">
        <name>CY_HI8</name>
        <param><defname>x</defname></param>
        <initializer>((uint8_t) ((uint16_t)(x) &gt;&gt; 8U))</initializer>
        <briefdescription>
<para>Get the upper 8 bits of a 16-bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="74" column="9" file="output/libs/core-lib/include/cy_utils.h" line="74" />
      </memberdef>
      <memberdef id="group__group__utils_1ga58340d6e97870eff30ea323d7c529d3b" kind="define" prot="public" static="no">
        <name>CY_LO16</name>
        <param><defname>x</defname></param>
        <initializer>((uint16_t) ((x) &amp; 0xFFFFU))</initializer>
        <briefdescription>
<para>Get the lower 16 bits of a 32-bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="77" column="9" file="output/libs/core-lib/include/cy_utils.h" line="77" />
      </memberdef>
      <memberdef id="group__group__utils_1ga4ecbc90074294a4427c78b3385281c80" kind="define" prot="public" static="no">
        <name>CY_HI16</name>
        <param><defname>x</defname></param>
        <initializer>((uint16_t) ((uint32_t)(x) &gt;&gt; 16U))</initializer>
        <briefdescription>
<para>Get the upper 16 bits of a 32-bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="79" column="9" file="output/libs/core-lib/include/cy_utils.h" line="79" />
      </memberdef>
      <memberdef id="group__group__utils_1gaaeb74e76832ed842048d448d556f26bb" kind="define" prot="public" static="no">
        <name>CY_SWAP_ENDIAN16</name>
        <param><defname>x</defname></param>
        <initializer>((uint16_t)(((x) &lt;&lt; 8U) | (((x) &gt;&gt; 8U) &amp; 0x00FFU)))</initializer>
        <briefdescription>
<para>Swap the byte ordering of a 16-bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="82" column="9" file="output/libs/core-lib/include/cy_utils.h" line="82" />
      </memberdef>
      <memberdef id="group__group__utils_1ga97584523775e03eb4b9443b2c6db1ca9" kind="define" prot="public" static="no">
        <name>CY_SWAP_ENDIAN32</name>
        <param><defname>x</defname></param>
        <initializer>((uint32_t)((((x) &gt;&gt; 24U) &amp; 0x000000FFU) | (((x) &amp; 0x00FF0000U) &gt;&gt; 8U) | \
                                (((x) &amp; 0x0000FF00U) &lt;&lt; 8U) | ((x) &lt;&lt; 24U)))</initializer>
        <briefdescription>
<para>Swap the byte ordering of a 32-bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="85" column="9" file="output/libs/core-lib/include/cy_utils.h" line="85" />
      </memberdef>
      <memberdef id="group__group__utils_1gabdb9e784645440db1f74b0060eeec466" kind="define" prot="public" static="no">
        <name>CY_SWAP_ENDIAN64</name>
        <param><defname>x</defname></param>
        <initializer>((uint64_t) (((uint64_t) <ref kindref="member" refid="group__group__utils_1ga97584523775e03eb4b9443b2c6db1ca9">CY_SWAP_ENDIAN32</ref>((uint32_t)(x)) &lt;&lt; 32U) | \
                                CY_SWAP_ENDIAN32((uint32_t)((x) &gt;&gt; 32U))))</initializer>
        <briefdescription>
<para>Swap the byte ordering of a 64-bit value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="89" column="9" file="output/libs/core-lib/include/cy_utils.h" line="89" />
      </memberdef>
      <memberdef id="group__group__utils_1ga34975c78bf005e734701b46d04811c98" kind="define" prot="public" static="no">
        <name>CY_GET_REG8</name>
        <param><defname>addr</defname></param>
        <initializer>(*((const volatile uint8_t *)(addr)))</initializer>
        <briefdescription>
<para>Reads the 8-bit value from the specified address. </para>        </briefdescription>
        <detaileddescription>
<para>This function can't be used to access the Core register, otherwise a fault occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The read value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="159" column="9" file="output/libs/core-lib/include/cy_utils.h" line="159" />
      </memberdef>
      <memberdef id="group__group__utils_1gaeca2bcb3d8be3de33fe86b610bf86b90" kind="define" prot="public" static="no">
        <name>CY_SET_REG8</name>
        <param><defname>addr</defname></param>
        <param><defname>value</defname></param>
        <initializer>(*((volatile uint8_t *)(addr)) = (uint8_t)(value))</initializer>
        <briefdescription>
<para>Writes an 8-bit value to the specified address. </para>        </briefdescription>
        <detaileddescription>
<para>This function can't be used to access the Core register, otherwise a fault occurs.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to write. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="174" column="9" file="output/libs/core-lib/include/cy_utils.h" line="174" />
      </memberdef>
      <memberdef id="group__group__utils_1ga21359444986c07db7fdb6993f313b472" kind="define" prot="public" static="no">
        <name>CY_GET_REG16</name>
        <param><defname>addr</defname></param>
        <initializer>(*((const volatile uint16_t *)(addr)))</initializer>
        <briefdescription>
<para>Reads the 16-bit value from the specified address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The read value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="188" column="9" file="output/libs/core-lib/include/cy_utils.h" line="188" />
      </memberdef>
      <memberdef id="group__group__utils_1gaf6fdd73b6a193e60b1b8d11d6cbfcb13" kind="define" prot="public" static="no">
        <name>CY_SET_REG16</name>
        <param><defname>addr</defname></param>
        <param><defname>value</defname></param>
        <initializer>(*((volatile uint16_t *)(addr)) = (uint16_t)(value))</initializer>
        <briefdescription>
<para>Writes the 16-bit value to the specified address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to write. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="202" column="9" file="output/libs/core-lib/include/cy_utils.h" line="202" />
      </memberdef>
      <memberdef id="group__group__utils_1ga08558965aa9ed40b40be2e03382e866d" kind="define" prot="public" static="no">
        <name>CY_GET_REG24</name>
        <param><defname>addr</defname></param>
        <initializer>(((uint32_t) (*((const volatile uint8_t *)(addr)))) | \
                                    (((uint32_t) (*((const volatile uint8_t *)(addr) + 1))) &lt;&lt; 8U) | \
                                    (((uint32_t) (*((const volatile uint8_t *)(addr) + 2))) &lt;&lt; 16U))</initializer>
        <briefdescription>
<para>Reads the 24-bit value from the specified address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The read value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="216" column="9" file="output/libs/core-lib/include/cy_utils.h" line="216" />
      </memberdef>
      <memberdef id="group__group__utils_1ga749ab39829e9caf8955d91dd355fe8b3" kind="define" prot="public" static="no">
        <name>CY_SET_REG24</name>
        <param><defname>addr</defname></param>
        <param><defname>value</defname></param>
        <initializer>do  \
                                    {   \
                                        (*((volatile uint8_t *) (addr))) = (uint8_t)(value);                \
                                        (*((volatile uint8_t *) (addr) + 1)) = (uint8_t)((value) &gt;&gt; 8U);    \
                                        (*((volatile uint8_t *) (addr) + 2)) = (uint8_t)((value) &gt;&gt; 16U);   \
                                    }   \
                                    while(0)</initializer>
        <briefdescription>
<para>Writes the 24-bit value to the specified address. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to write. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="232" column="9" file="output/libs/core-lib/include/cy_utils.h" line="232" />
      </memberdef>
      <memberdef id="group__group__utils_1ga99c7cedf249c18295512d896086dc64f" kind="define" prot="public" static="no">
        <name>CY_GET_REG32</name>
        <param><defname>addr</defname></param>
        <initializer>(*((const volatile uint32_t *)(addr)))</initializer>
        <briefdescription>
<para>Reads the 32-bit value from the specified register. </para>        </briefdescription>
        <detaileddescription>
<para>The address is the little endian order (LSB in lowest address).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The read value. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="253" column="9" file="output/libs/core-lib/include/cy_utils.h" line="253" />
      </memberdef>
      <memberdef id="group__group__utils_1gafc826bc60da53abdb37e1e12c91d148a" kind="define" prot="public" static="no">
        <name>CY_SET_REG32</name>
        <param><defname>addr</defname></param>
        <param><defname>value</defname></param>
        <initializer>(*((volatile uint32_t *)(addr)) = (uint32_t)(value))</initializer>
        <briefdescription>
<para>Writes the 32-bit value to the specified register. </para>        </briefdescription>
        <detaileddescription>
<para>The address is the little endian order (LSB in lowest address).</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>addr</parametername>
</parameternamelist>
<parameterdescription>
<para>The register address.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>value</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to write. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="268" column="9" file="output/libs/core-lib/include/cy_utils.h" line="268" />
      </memberdef>
      <memberdef id="group__group__utils_1ga7dfff5dad289133d84f2c1caddd0382e" kind="define" prot="public" static="no">
        <name>_CLR_SET_FLD32U</name>
        <param><defname>reg</defname></param>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>(((reg) &amp; ((uint32_t)(~(field ## _Msk)))) | (_VAL2FLD(field, value)))</initializer>
        <briefdescription>
<para>The macro for setting a register with a name field and value for providing get-clear-modify-write operations. </para>        </briefdescription>
        <detaileddescription>
<para>Returns a resulting value to be assigned to the register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="280" column="9" file="output/libs/core-lib/include/cy_utils.h" line="280" />
      </memberdef>
      <memberdef id="group__group__utils_1ga6873efbed50e1e0485e5f3279f193aa2" kind="define" prot="public" static="no">
        <name>CY_REG32_CLR_SET</name>
        <param><defname>reg</defname></param>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>((reg) = <ref kindref="member" refid="group__group__utils_1ga7dfff5dad289133d84f2c1caddd0382e">_CLR_SET_FLD32U</ref>((reg), field, (value)))</initializer>
        <briefdescription>
<para>Uses _CLR_SET_FLD32U macro for providing get-clear-modify-write operations with a name field and value and writes a resulting value to the 32-bit register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="292" column="9" file="output/libs/core-lib/include/cy_utils.h" line="292" />
      </memberdef>
      <memberdef id="group__group__utils_1ga10a2bdfbcf75aed8d292209057b0ee6b" kind="define" prot="public" static="no">
        <name>_CLR_SET_FLD16U</name>
        <param><defname>reg</defname></param>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>((uint16_t)(((reg) &amp; ((uint16_t)(~(field ## _Msk)))) |   \
                                                       ((uint16_t)_VAL2FLD(field, value))))</initializer>
        <briefdescription>
<para>The macro for setting a 16-bit register with a name field and value for providing get-clear-modify-write operations. </para>        </briefdescription>
        <detaileddescription>
<para>Returns a resulting value to be assigned to the 16-bit register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="304" column="9" file="output/libs/core-lib/include/cy_utils.h" line="304" />
      </memberdef>
      <memberdef id="group__group__utils_1gab2b4fa8f484a8308eadec61e80e82623" kind="define" prot="public" static="no">
        <name>CY_REG16_CLR_SET</name>
        <param><defname>reg</defname></param>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>((reg) = <ref kindref="member" refid="group__group__utils_1ga10a2bdfbcf75aed8d292209057b0ee6b">_CLR_SET_FLD16U</ref>((reg), field, (value)))</initializer>
        <briefdescription>
<para>Uses _CLR_SET_FLD16U macro for providing get-clear-modify-write operations with a name field and value and writes a resulting value to the 16-bit register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="317" column="9" file="output/libs/core-lib/include/cy_utils.h" line="317" />
      </memberdef>
      <memberdef id="group__group__utils_1ga5e3bafb985f38613bde1147dc73fcf65" kind="define" prot="public" static="no">
        <name>_CLR_SET_FLD8U</name>
        <param><defname>reg</defname></param>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>((uint8_t)(((reg) &amp; ((uint8_t)(~(field ## _Msk)))) |  \
                                                     ((uint8_t)_VAL2FLD(field, value))))</initializer>
        <briefdescription>
<para>The macro for setting a 8-bit register with a name field and value for providing get-clear-modify-write operations. </para>        </briefdescription>
        <detaileddescription>
<para>Returns a resulting value to be assigned to the 8-bit register. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="329" column="9" file="output/libs/core-lib/include/cy_utils.h" line="329" />
      </memberdef>
      <memberdef id="group__group__utils_1gac927ea147352133e7a1ead8913247d90" kind="define" prot="public" static="no">
        <name>CY_REG8_CLR_SET</name>
        <param><defname>reg</defname></param>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>((reg) = <ref kindref="member" refid="group__group__utils_1ga5e3bafb985f38613bde1147dc73fcf65">_CLR_SET_FLD8U</ref>((reg), field, (value)))</initializer>
        <briefdescription>
<para>Uses _CLR_SET_FLD8U macro for providing get-clear-modify-write operations with a name field and value and writes a resulting value to the 8-bit register. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="342" column="9" file="output/libs/core-lib/include/cy_utils.h" line="342" />
      </memberdef>
      <memberdef id="group__group__utils_1ga935b8fbcfd877d03f234825f296e7ac9" kind="define" prot="public" static="no">
        <name>_BOOL2FLD</name>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>(((value) != false) ? (field ## _Msk) : 0UL)</initializer>
        <briefdescription>
<para>Returns a field mask if the value is not false. </para>        </briefdescription>
        <detaileddescription>
<para>Returns 0, if the value is false. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="353" column="9" file="output/libs/core-lib/include/cy_utils.h" line="353" />
      </memberdef>
      <memberdef id="group__group__utils_1ga8d9ee76c64031ffe440b12e55bf6947d" kind="define" prot="public" static="no">
        <name>_FLD2BOOL</name>
        <param><defname>field</defname></param>
        <param><defname>value</defname></param>
        <initializer>(((value) &amp; (field ## _Msk)) != 0UL)</initializer>
        <briefdescription>
<para>Returns true, if the value includes the field mask. </para>        </briefdescription>
        <detaileddescription>
<para>Returns false, if the value doesn't include the field mask. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="364" column="9" file="output/libs/core-lib/include/cy_utils.h" line="364" />
      </memberdef>
      <memberdef id="group__group__utils_1ga05f244da002bc0c7dc9c1475053f8cfd" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_DIV_ROUND</name>
        <param><defname>a</defname></param>
        <param><defname>b</defname></param>
        <initializer>(((a) + ((b) / 2U)) / (b))</initializer>
        <briefdescription>
<para>Calculates a / b with rounding to the nearest integer, a and b must have the same sign. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="375" column="9" file="output/libs/core-lib/include/cy_utils.h" line="375" />
      </memberdef>
      <memberdef id="group__group__utils_1ga7b4264645556dd22feb8b877a283e2a2" kind="define" prot="public" static="no">
        <name>CY_SYSLIB_DIV_ROUNDUP</name>
        <param><defname>a</defname></param>
        <param><defname>b</defname></param>
        <initializer>((((a) - 1U) / (b)) + 1U)</initializer>
        <briefdescription>
<para>Calculates a / b with rounding up if remainder != 0, both a and b must be positive. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/core-lib/include/cy_utils.h" bodystart="386" column="9" file="output/libs/core-lib/include/cy_utils.h" line="386" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Basic utility macros and functions. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>